Index: /ipk/make-ipk
===================================================================
--- /ipk/make-ipk	(revision 16959)
+++ /ipk/make-ipk	(revision 16960)
@@ -252,4 +252,5 @@
 	cp -a $HOME/flashimg/BUILD/titan/var/usr/local/share/titan/plugins/lcdpearl1/* "$HOMEDIR"/BUILD/titanswaptools_lcdpearl1/var/swap/titanplugins/lcdpearl1
 	cp -a $HOME/flashimg/BUILD/titan/var/usr/local/share/titan/plugins/callmonitor1/* "$HOMEDIR"/BUILD/titanswaptools_callmonitor/var/swap/titanplugins/callmonitor1
+	cp -a $HOME/flashimg/BUILD/titan/var/usr/local/share/titan/plugins/lcdsamsung/* "$HOMEDIR"/BUILD/titanswaptools_lcdsamsung/var/swap/titanplugins/lcdsamsung
 
 	# titangames
Index: /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/control
===================================================================
--- /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/control	(revision 16960)
+++ /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/control	(revision 16960)
@@ -0,0 +1,11 @@
+Package: titan-plugin-swaptools-samsunglcd
+Version: 0.1beta
+Description: Treiber fuer Samsung LCD
+Section: tools
+Priority: optional
+Maintainer: AAF Forum
+Architecture: sh4
+OE: Samsung LCD
+Homepage: http://www.aaf-digital.info
+Depends:
+Source: http://www.aaf-digital.info
Index: /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/postinst	(revision 16960)
+++ /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/postinst	(revision 16960)
@@ -0,0 +1,19 @@
+#!/bin/sh
+TMP=/tmp/.TOOLS
+
+echo "successfully installed"
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+
+rm -rf /var/usr/local/share/titan/plugins/lcdsamsung
+ln -s /var/swap/titanplugins/lcdsamsung /var/usr/local/share/titan/plugins/lcdsamsung
+
+echo "now you can choose the Samsung LCD...."
+exit 0
Index: /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/postrm	(revision 16960)
+++ /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/postrm	(revision 16960)
@@ -0,0 +1,17 @@
+#!/bin/sh
+TMP=/tmp/.TOOLS
+
+rm -rf /var/swap/titanplugins/lcdsamsung
+rm -rf /var/usr/local/share/titan/plugins/lcdsamsung
+
+echo "successfully removed"
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/preinst	(revision 16960)
+++ /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/preinst	(revision 16960)
@@ -0,0 +1,59 @@
+#!/bin/sh
+#
+TMP=/tmp/.TOOLS
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+echo "checking swapstick"
+if [ ! -d /var/swap/titanplugins ]; then
+  echo "--------------------------"
+	echo "no swapstick found...."
+	echo "--------------------------"
+	exit 1
+fi
+echo "swapstick found...."
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=4100
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+
+rm -rf /var/swap/titanplugins/lcdsamsung
+
+echo "installing Pearl LCD to swapstick..."
+
+exit 0
Index: /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/prerm	(revision 16960)
+++ /ipk/source.sh4/titanswaptools_lcdsamsung/CONTROL/prerm	(revision 16960)
@@ -0,0 +1,13 @@
+#!/bin/sh
+TMP=/tmp/.TOOLS
+link=`readlink /var/swap`
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "removing Samsung LCD from swapstick"
+exit 0
Index: /ipk/source.sh4/titanswaptools_lcdsamsung/var/swap/titanplugins/lcdsamsung/start.sh
===================================================================
--- /ipk/source.sh4/titanswaptools_lcdsamsung/var/swap/titanplugins/lcdsamsung/start.sh	(revision 16960)
+++ /ipk/source.sh4/titanswaptools_lcdsamsung/var/swap/titanplugins/lcdsamsung/start.sh	(revision 16960)
@@ -0,0 +1,7 @@
+#!/bin/sh
+PWD=`echo $0 | sed -e s/start.sh//g`
+#PWD=`pwd`
+export LD_LIBRARY_PATH=$PWD/libs
+cd $PWD
+./fbread $1 &
+exit
